[arch-commits] Commit in libdvdread/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Apr 10 01:05:25 EDT 2009


    Date: Friday, April 10, 2009 @ 01:05:24
  Author: eric
Revision: 34554

Merged revisions 34550 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libdvdread/trunk

........
  r34550 | eric | 2009-04-10 00:37:04 -0400 (Fri, 10 Apr 2009) | 2 lines
  
  upgpkg: libdvdread 0.9.7-2
      Added license, Replaced install scriptlet by optdepends
........

Modified:
  libdvdread/repos/extra-i686/	(properties)
  libdvdread/repos/extra-i686/PKGBUILD
Deleted:
  libdvdread/repos/extra-i686/libdvdread.install

--------------------+
 PKGBUILD           |   15 ++++++++-------
 libdvdread.install |   11 -----------
 2 files changed, 8 insertions(+), 18 deletions(-)


Property changes on: libdvdread/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libdvdread/trunk:1-20865
   + /libdvdread/trunk:1-34553

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-10 04:55:05 UTC (rev 34553)
+++ extra-i686/PKGBUILD	2009-04-10 05:05:24 UTC (rev 34554)
@@ -4,20 +4,21 @@
 
 pkgname=libdvdread
 pkgver=0.9.7
-pkgrel=1
+pkgrel=2
+pkgdesc="libdvdread provides a simple foundation for reading DVD video disks"
 arch=(i686 x86_64)
-pkgdesc="libdvdread provides a simple foundation for reading DVD video disks"
+url="http://www.dtek.chalmers.se/groups/dvd/downloads.shtml"
+license=('GPL')
 depends=('glibc')
 makedepends=('libdvdcss')
-install=$pkgname.install
+optdepends=('libdvdcss: for decoding encrypted DVDs')
 options=('!libtool')
 source=(http://www.dtek.chalmers.se/groups/dvd/dist/$pkgname-$pkgver.tar.gz)
-url="http://www.dtek.chalmers.se/groups/dvd/downloads.shtml"
 md5sums=('078788c9241ae16763529e1235502337')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 }

Deleted: extra-i686/libdvdread.install
===================================================================
--- extra-i686/libdvdread.install	2009-04-10 04:55:05 UTC (rev 34553)
+++ extra-i686/libdvdread.install	2009-04-10 05:05:24 UTC (rev 34554)
@@ -1,11 +0,0 @@
-post_install() {
-  echo "==> If you want to decode encrypted DVDs, you also need the libdvdcss package."
-}
-
-post_upgrade() {
-  post_install
-}
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list